package test;


import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

import org.testng.annotations.Test;


public class NativeQueryTest {

    @Test
    public void test() {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("testUnit");
        EntityManager em = emf.createEntityManager();

        em.getTransaction().begin();
        Person p = new Person("Jason Bourne");
        em.persist(p);
        em.getTransaction().commit();
        em.clear();

        Query q = em.createNativeQuery("select pe.* from Person pe", Person.class);
        @SuppressWarnings("unchecked")
        List<Person> people = q.getResultList();
        for (Person pe : people) {
            System.out.println(pe);
        }
        emf.close();
    }

}
